.mini-title {
  color: #555555;
  font-size: 0.875rem;
  letter-spacing: 0.01em;
  text-transform: uppercase;
  font-weight: 600;
  margin-top: 0;
  margin-bottom: 1rem;

  &__strong {
    font-size: 1.2rem;
    font-weight: 800;
  }

  &__strong--highlight {
    font-size: 1.4rem;
  }
}

.button-container-style {
  color: #1451b4;
}

.size-icon-filter {
  font-size: 1rem;
}

.fa-sliders-h {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 100;
}

.filter-container {
  width: 100%;
  display: flex;
  flex-flow: row nowrap;
  justify-content: flex-end;
  align-items: left;
}

.br-reveal {
  display: block;
  height: 80%;
  width: 600px;
  max-width: 80%;
  z-index: 10;
  padding: 1rem;
  border: 1px solid #e8e8e8;
  background-color: #fafafa;
  border-radius: 4px;
  position: relative;
  top: 100px;
  margin-right: auto;
  margin-left: auto;
  overflow-y: auto;
}

.announcement-card {
  padding: 1rem;
}

.filters {
  display: flex;
  padding: 0;
  min-height: auto;
  width: 100%;
  padding: 24px 0 0 0;
}

.filters__title {
  font-size: 1rem;
  margin-bottom: 1rem;
}

.resullts-per-page-item {
  padding: 4px;
  display: flex;
  text-decoration: none;
}

.results-per-page__link {
  text-decoration: none !important;
}

.results-per-page__link:hover {
  background-color: #e8e8e8;
}

.results-per-page-button {
  display: flex !important;
  flex-direction: row !important;
  text-decoration: none !important;
  align-items: center;
  justify-content: center;
}

.filters-per-page-button {
  padding: 5px !important;
  border-radius: 50% !important;
  -webkit-border-radius: 50% !important;
  -moz-border-radius: 50% !important;
  -ms-border-radius: 50% !important;
  -o-border-radius: 50% !important;
  display: flex;
  margin-left: 4px;
}

.filters-per-page-button:hover {
  background-color: var(--blue-warm-20);
}

.pagination-br-container {
  margin-top: 16px;
}

#filters__menu {
  background-color: var(--gray-2);
  max-height: 0;
  transition: max-height 0.5s ease-in-out;
  overflow: hidden;
  margin: 0;
}

.filters__visible {
  max-height: 500px;
}

#filters__menu legend.mini-title {
  font-size: 16px;
  font-weight: var(--font-weight-bold);
  font-family: var(--font-family-base);
  color: var(--gray-70);
}

#filters__menu fieldset {
  display: flex;
  gap: 1rem;
}

#filters__menu fieldset div {
  display: flex;
  gap: 1.25rem;
}

#filters__menu fieldset label {
  display: flex;
  align-items: center;
  font-size: var(--font-size-16);
  margin-left: 5px;
}

#filters__menu fieldset div {
  display: flex;
  flex-wrap: wrap;
}

#filters__menu fieldset label > input[type="checkbox"] {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 18px !important;
  height: 18px !important;
  appearance: none;
  outline: 1px solid var(--blue-warm-vivid-50);
  box-shadow: none;
  text-align: center;
  line-height: 1em;
  background: var(--pure-0);
  font-size: var(--font-size-scale-up-02);
}

#filters__menu fieldset label > input[type="checkbox"]:checked::after {
  content: "✓";
  color: var(--blue-warm-vivid-50);
  font-size: var(--font-size-scale-up-02);
}

#filters__menu fieldset label > input[type="checkbox"]:checked + label {
  position: relative;
  overflow: hidden;
  cursor: pointer;
}

#filters__menu > div {
  padding: 1rem;
}

#filter-btn-br {
  display: flex;
  width: fit-content;
  height: 40px;
  background-color: var(--pure-0) !important;
  border: 1px solid var(--gray-80);
  color: var(--gray-80);
  padding: 8px 24px 8px 24px;
  gap: 8px;
  border-radius: 20px;
  font-size: 14px;
  font-weight: var(--font-weight-semi-bold);

  i {
    font-size: 18px;
  }
}

#filter-btn-icon {
  font-size: 18px;
  color: var(--gray-80);
}

#filter-btn-br:hover {
  color: var(--gray-80);
}

.filters__section label {
  margin-bottom: 0;
}

.filters .filters__section {
  width: 100%;
  border: 0px;
  padding: 0px;
  margin: 48px 0 32px 0;
}

.filters__hidden {
  width: 0px;
  height: 0px;
  padding: 0px;
  margin: 0px;
}

#filters__menu.show__filters__menu,
#filters__triangle.show__filters__menu {
  max-height: 1000px;
  height: fit-content;
}

#filters__menu.show__filters__menu {
  padding: 24px 16px 0px 16px;
}

#filters__triangle.show__filters__menu {
  border-bottom: 24px solid var(--gray-2); /* Adjust the height and color of the triangle */
}

#filters__menu div fieldset {
  align-items: flex-start;
  flex-direction: column;
}

div.filters__section fieldset > label {
  margin-bottom: 0px;
  font-weight: var(--font-weight-semi-bold) !important;
  color: var(--gray-90);
}

#filters__menu div fieldset {
  margin-bottom: 0;
}

#filters__menu div fieldset div.filters__subfilters {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 300px));
  width: 100%;
  gap: 16px;
  font-size: var(--font-size-scale-up-01);
  font-weight: var(--font-weight-regular);
  color: var(--gray-90);
}

#filters__menu div.type_collection_radio_buttons_filter fieldset {
  flex-direction: row;
  gap: 24px;
}

#filters__menu div.type_collection_radio_buttons_filter fieldset label {
  font-size: var(--font-size-scale-up-01);
  font-weight: var(--font-weight-semi-bold);
  color: var(--gray-90);
}

#filters__menu div fieldset label {
  font-size: var(--font-size-scale-up-01);
  font-weight: var(--font-weight-medium);
  color: var(--gray-90);
}

#filters__triangle {
  max-height: 0;
  margin-left: 55px;
  padding: 0;
  width: 0;
  height: 0;
  border-left: 35px solid transparent; /* Adjust the width of the triangle */
  border-right: 35px solid transparent; /* Adjust the width of the triangle */
}

form.new_filter {
  width: 100%;
}

.filters__section label[data-global-checkbox],
.filters__section--general label[data-global-checkbox] {
  font-weight: var(--font-weight-semi-bold) !important;
}

@media screen and (max-width: 600px) {
  #filters__menu div.type_collection_radio_buttons_filter fieldset {
    flex-direction: column;
    gap: 16px;
  }

  div.filters form.new_filter {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
  }

  #filter-btn-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
  }

  #filter-btn-br {
    width: 100%;
    justify-content: center;
  }

  #filter-search-box {
    margin-bottom: 8px;
  }

  #filters__triangle {
    margin-left: 0px;
  }
}
.dropdown .is-dropdown-submenu a {
  padding: 1rem !important;
  text-decoration: none !important;
}

.order-by-item:not(:last-child) {
  border-bottom: 1px solid var(--color-secondary-04);
}

.dropdown .is-dropdown-submenu a:hover {
  background-color: var(--blue-warm-20);
}

.is-dropdown-submenu-parent {
  position: static !important;
}

.dropdown.menu > li.opens-right > .is-dropdown-submenu {
  width: 100%;
}

.voting-rules {
  max-height: 0;
  transition: max-height 0.5s ease-in-out;
  overflow: hidden;
  padding: 0;
  border-radius: 0.25rem;
}

.show-votes-rule-button {
  display: flex;
  align-items: center;
  gap: 8px;
  color: var(--blue-warm-vivid-80);
  border-radius: 1rem;
  border: 0;
  margin-bottom: 4px;
  -webkit-border-radius: 1rem;
  -moz-border-radius: 1rem;
  -ms-border-radius: 1rem;
  -o-border-radius: 1rem;
}

.show-votes-rule-button i {
  line-height: 0;
  width: fit-content;
}

.voting-rules-title {
  color: var(--gray-90);
  font-size: 1.25rem;
  font-weight: 600;
  margin-bottom: 1rem;
  margin-top: 0;
}

.voting-rules-container {
  padding: 1.5rem;
}

.voting-rules-container > div {
  display: flex;
  flex-direction: column;
}

@media screen and (min-width: 600px) {
  .voting-rules-container > div {
    display: flex;
    flex-direction: row;
  }
}

.voting-rules-content {
  display: flex;
  flex-direction: column;
  justify-content: center;

  ul {
    margin-bottom: 0;
    margin-left: 1.75rem;
  }
}

.votings-rules-list {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.vote_rules_card_hidden {
  max-height: 0;
  overflow: hidden;
}

.vote_rules_card_visible {
  max-height: 500px;
  transition: max-height 0.5s ease-in-out;
}

.show__rules__card {
  max-height: 500px;
}

.card__content {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
